/// <reference types="react" />
import { BaseWidget } from "./common/BaseWidget";
import { NodeKeyType, NodeWidgetDirection } from "../types/Node";
import { DiagramState } from "../model/DiagramState";
interface LinkWidgetProps {
    diagramState: DiagramState;
    isRoot?: boolean;
    fromNodeKey: NodeKeyType;
    toNodeKey: NodeKeyType;
    dir: NodeWidgetDirection;
    saveRef?: Function;
    getRef?: Function;
    registerRefListener?: Function;
}
interface LinkWidgetState {
    height: number;
    width: number;
    left: number;
    top: number;
}
export declare class LinkWidget<P extends LinkWidgetProps, S extends LinkWidgetState> extends BaseWidget<LinkWidgetProps, LinkWidgetState> {
    constructor(props: LinkWidgetProps);
    static defaultProps: {
        isRoot: boolean;
    };
    layout(): void;
    layoutRoot(): void;
    layoutNormal(): void;
    generatePathString: () => string;
    generatePathStringForBorderNode: () => string;
    generatePathStringNormal: () => string;
    generatePathStringRoot: () => string;
    render(): JSX.Element;
}
export {};
