/// <reference types="react" />
import { NodeKeyType } from "../types/Node";
import { BaseWidget } from "./common/BaseWidget";
import { DiagramState } from "../model/DiagramState";
import { NodeWidgetDirection } from "../types/Node";
import { OpFunction } from "../types/FunctionType";
export interface MindNodeWidgetProps {
    diagramState: DiagramState;
    op: OpFunction;
    nodeKey: NodeKeyType;
    dir: NodeWidgetDirection;
    saveRef?: Function;
    getRef?: Function;
    setViewBoxScroll: (left: number, top: number) => void;
    setViewBoxScrollDelta: (left: number, top: number) => void;
}
export interface MindNodeWidgetState {
    dragEnter: boolean;
}
export declare class NodeWidget<P extends MindNodeWidgetProps, S extends MindNodeWidgetState> extends BaseWidget<MindNodeWidgetProps, MindNodeWidgetState> {
    constructor(props: MindNodeWidgetProps);
    onClickCollapse: (e: any) => void;
    static dragSrcItemKey: NodeKeyType;
    onDragStart: (e: any) => void;
    onDragEnter: () => void;
    onDragLeave: (e: any) => void;
    onDrop: (e: any) => void;
    needRelocation: boolean;
    componentDidUpdate(prevProps: Readonly<MindNodeWidgetProps>, prevState: Readonly<MindNodeWidgetState>, snapshot?: any): void;
    componentDidMount(): void;
    layoutSubLinks: () => void;
    collapseIconRef: (ref: any) => void;
    collapseIcon: HTMLElement;
    oldCollapseIconRect: ClientRect;
    shouldComponentUpdate(nextProps: Readonly<MindNodeWidgetProps>, nextState: Readonly<MindNodeWidgetState>, nextContext: any): boolean;
    renderSubItems(): JSX.Element;
    render(): JSX.Element;
}
