/// <reference types="react" />
import { NodeKeyType } from "../types/Node";
import { BaseWidget } from "./common/BaseWidget";
import { DiagramState } from "../model/DiagramState";
import { MindNodeModel } from "../model/MindNodeModel";
import { DiagramLayoutDirection } from "../config/DiagramConfig";
import { NodeWidgetDirection } from "../types/Node";
import { OpFunction } from "../types/FunctionType";
export interface MindRootNodeWidgetProps {
    diagramState: DiagramState;
    op: OpFunction;
    nodeKey: NodeKeyType;
    saveRef?: Function;
    getRef?: Function;
    setViewBoxScroll: (left: number, top: number) => void;
    setViewBoxScrollDelta: (left: number, top: number) => void;
}
export interface MindNodeWidgetState {
}
export declare class RootNodeWidget<P extends MindRootNodeWidgetProps, S extends MindNodeWidgetState> extends BaseWidget<MindRootNodeWidgetProps, MindNodeWidgetState> {
    constructor(props: MindRootNodeWidgetProps);
    getNodeModel(): MindNodeModel;
    getPartItems(dir: DiagramLayoutDirection): string[][];
    needRelocation: boolean;
    componentDidUpdate(prevProps: Readonly<MindRootNodeWidgetProps>, prevState: Readonly<MindNodeWidgetState>, snapshot?: any): void;
    componentDidMount(): void;
    layoutSubLinks: () => void;
    collapseIcon: HTMLElement;
    oldCollapseIconRect: ClientRect;
    renderPartItems(items: string[], dir: NodeWidgetDirection): JSX.Element;
    render(): JSX.Element;
}
