/// <reference types="react" />
import { BaseWidget } from "./common/BaseWidget";
import { NodeKeyType, NodeWidgetDirection } from "../types/Node";
import { DiagramState } from "../model/DiagramState";
import { OpFunction } from "../types/FunctionType";
interface TopicContentWidgetProps {
    diagramState: DiagramState;
    op: OpFunction;
    nodeKey: NodeKeyType;
    dir: NodeWidgetDirection;
    draggable: boolean;
    saveRef: Function;
    getRef: Function;
}
interface TopicContentWidgetState {
    dragEnter: boolean;
    showPopMenu: boolean;
}
export declare class TopicContentWidget extends BaseWidget<TopicContentWidgetProps, TopicContentWidgetState> {
    constructor(props: any);
    onDragStart: (e: any) => void;
    onDragOver: (e: any) => void;
    onDragEnter: () => void;
    onDragLeave: (e: any) => void;
    onDrop: () => void;
    isDoubleClick: boolean;
    onClick: () => void;
    onDoubleClick: () => void;
    handlePopMenuVisibleChange: (visible: any) => void;
    componentDidUpdate(prevProps: Readonly<TopicContentWidgetProps>, prevState: Readonly<TopicContentWidgetState>, snapshot?: any): void;
    _handleClick: (e: any) => void;
    render(): JSX.Element;
}
export {};
