import * as React from "react";
import { BaseWidget } from "./BaseWidget";
import ResizeObserver from "resize-observer-polyfill";
import "./DragScrollWidget.scss";
interface DragScrollWidgetProps {
    mouseKey?: "left" | "right";
    needKeyPressed?: boolean;
    canDragFunc?: () => Boolean;
    children: (setViewBoxScroll: (left: number, top: number) => void, setViewBoxScrollDelta: (left: number, top: number) => void) => React.ReactNode;
}
export declare class DragScrollWidget extends BaseWidget<DragScrollWidgetProps> {
    constructor(props: DragScrollWidgetProps);
    static defaultProps: {
        mouseKey: string;
        needKeyPressed: boolean;
    };
    contentResizeCallback: (entries: ResizeObserverEntry[], observer: ResizeObserver) => void;
    contentResizeObserver: ResizeObserver;
    oldContentRect: DOMRectReadOnly;
    content: HTMLElement;
    contentRef: (ref: any) => void;
    viewBox: HTMLElement;
    viewBoxRef: (ref: any) => void;
    bigView: HTMLElement;
    bigViewRef: (ref: any) => void;
    setWidgetStyle: () => void;
    setViewBoxScroll: (left: number, top: number) => void;
    setViewBoxScrollDelta: (deltaLeft: number, deltaTop: number) => void;
    onMouseDown: (e: any) => void;
    onMouseUp: (e: any) => void;
    _lastCoordX: number;
    _lastCoordY: number;
    onMouseMove: (e: MouseEvent) => void;
    handleContextMenu: (e: any) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
