import * as React from "react";
import { NodeStyle } from "../types/Node";
export declare enum DiagramLayoutDirection {
    LEFT_TO_RIGHT = 0,
    RIGHT_TO_LEFT = 1,
    LEFT_AND_RIGHT = 2
}
export declare type DiagramConfig = {
    editable?: boolean;
    direction?: DiagramLayoutDirection;
    nodeStyle?: NodeStyle;
    hMargin?: number;
    vMargin?: number;
    focusBorderPadding?: number;
    theme?: string;
    rootItemStyle?: any;
    primaryItemStyle?: any;
    normalItemStyle?: any;
    editorRendererFn?: (diagramState: any, op: any, nodeKey: any, saveRef: any) => React.ReactNode;
    descEditorRenderFn?: (diagramState: any, op: any, nodeKey: any, saveRef: any) => React.ReactNode;
    focusItemsBorderRenderFn?: (diagramState: any, saveRef: any, getRef: any) => React.ReactNode;
};
export declare const defaultDiagramConfig: DiagramConfig;
