import { FocusItemMode, NodeKeyType } from "../types/Node";
import { Map, Record } from "immutable";
import { MindNodeModel } from "./MindNodeModel";
declare type MindMapRecordType = {
    rootItemKey: NodeKeyType;
    editorRootItemKey: NodeKeyType;
    itemMap: Map<NodeKeyType, MindNodeModel>;
    focusItemKey: NodeKeyType;
    focusItemMode: FocusItemMode;
};
declare const MindMapModel_base: Record.Factory<MindMapRecordType>;
export declare class MindMapModel extends MindMapModel_base {
    constructor();
    getRootItemKey(): NodeKeyType;
    getRootItem(): MindNodeModel;
    getEditorRootItemKey(): NodeKeyType;
    getEditorRootItem(): MindNodeModel;
    getItemMap(): Map<NodeKeyType, MindNodeModel>;
    getFocusItemKey(): NodeKeyType;
    getFocusItemMode(): FocusItemMode;
    getEditingItemKey(): NodeKeyType;
    getEditingDescItemKey(): NodeKeyType;
    getPopupMenuItemKey(): NodeKeyType;
    getItem(key: NodeKeyType): MindNodeModel;
    getParentItem(key: NodeKeyType): MindNodeModel;
    getItemVisualLevel(key: NodeKeyType): number;
    static createWith(obj: any): MindMapModel;
}
export {};
