import { INodeModel, NodeKeyType, INodeRecordType } from "../types/Node";
import { Record, List } from "immutable";
interface IMindNodeRecordType extends INodeRecordType {
    parentKey: NodeKeyType;
    content: any;
    desc: any;
    subItemKeys?: List<NodeKeyType>;
    collapse: boolean;
}
declare const MindNodeModel_base: Record.Factory<IMindNodeRecordType>;
export declare class MindNodeModel extends MindNodeModel_base implements INodeModel {
    constructor();
    getKey(): NodeKeyType;
    getParentKey(): NodeKeyType;
    getContent(): any;
    getDesc(): any;
    getSubItemKeys(): List<NodeKeyType>;
    getCollapse(): boolean;
    contentToString(): any;
    descToString(): any;
    toString(): string;
    toJSON(): {
        key: string;
        parentKey: string;
        subItemKeys: List<string>;
        collapse: boolean;
        content: any;
        desc: any;
    };
    static create(key: NodeKeyType, parentKey?: any, content?: string, subItemKeys?: List<any>, collapse?: boolean): MindNodeModel;
    static createWith(obj: any): MindNodeModel;
}
export {};
